com.mysql.cj.protocol

## Interface AuthenticationProvider<M extends Message>

    public interface AuthenticationProvider<M extends Message>

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `changeUser(String username, String password, String database)` Re-authenticates as the given user and password
`void` `connect(String username, String password, String database)`
`void` `init(Protocol<M> prot, PropertySet propertySet, ExceptionInterceptor exceptionInterceptor)`

### Method Detail

#### init

    void init(Protocol<M> prot,
              PropertySet propertySet,
              ExceptionInterceptor exceptionInterceptor)

#### connect

    void connect(String username,
                 String password,
                 String database)

#### changeUser

    void changeUser(String username,
                    String password,
                    String database)

Re-authenticates as the given user and password

Parameters:
  `username` - user name
  `password` - password
  `database` - db name

Copyright © 2016, 2023, Oracle and/or its affiliates.